com.gen2wave.rp1600.sdk.finger

## Class UsbBase

- java.lang.Object
- - com.gen2wave.rp1600.sdk.finger.UsbBase

-     public class UsbBase
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static UsbDeviceConnection` | `mConnection`
    `byte[]` | `printf1`
    `static int` | `USB_DIR_IN`
    `static int` | `USB_DIR_OUT`
    `static int` | `USB_ENDPOINT_XFER_BULK`
    `static int` | `USB_ENDPOINT_XFER_INT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UsbBase(UsbManager mManager, UsbDevice mDev)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `close()`
    `java.lang.String` | `getProductDescriptor()`
    `int` | `getProductId()`
    `int` | `getVendorId()`
    `int` | `open()`
    `java.lang.String` | `printf_fun()`
    `int` | `scsi_cmd(TPCCmd cmd, byte[] sendBuf, byte[] receiveBuf, int[] receiveBufLen)`
    `int` | `scsi_recv_1(byte[] receiveBuf, int[] receiveBufLen)`
    `static int` | `scsi_recv_data_1(byte[] recviveBuf, int[] receiveLen)`
    `static int` | `scsi_recv_data_2(byte[] recviveBuf, int[] receiveLen)`
    `int` | `scsi_recv_Image(byte[] receiveBuf, int len, int offset)`
    `int` | `scsi_recv(TPCCmd cmd, byte[] receiveBuf, int[] receiveBufLen)`
    `int` | `scsi_send_1(byte[] sendBuf, int sendBufLen)`
    `static int` | `scsi_send_data(byte[] cmd, byte[] sendBuf, int sendBufLen)`
    `int` | `scsi_send(TPCCmd cmd, byte[] sendBuf, int sendBufLen)`
    `int` | `synoDownData(byte[] sendBuf, int sendBufLen)`
    `int` | `synoGetData(byte[] DataBuf, int[] getLen)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mConnection

          public static UsbDeviceConnection mConnection

    - #### USB_DIR_OUT

          public static final int USB_DIR_OUT

      See Also:
        Constant Field Values

    - #### USB_ENDPOINT_XFER_BULK

          public static final int USB_ENDPOINT_XFER_BULK

      See Also:
        Constant Field Values

    - #### USB_ENDPOINT_XFER_INT

          public static final int USB_ENDPOINT_XFER_INT

      See Also:
        Constant Field Values

    - #### USB_DIR_IN

          public static final int USB_DIR_IN

      See Also:
        Constant Field Values

    - #### printf1

          public byte[] printf1

  - ### Constructor Detail

    - #### UsbBase

          public UsbBase(UsbManager mManager,
                         UsbDevice mDev)

  - ### Method Detail

    - #### getProductDescriptor

          public java.lang.String getProductDescriptor()

    - #### close

          public int close()

    - #### open

          public int open()

    - #### getVendorId

          public int getVendorId()

    - #### getProductId

          public int getProductId()

    - #### synoDownData

          public int synoDownData(byte[] sendBuf,
                                  int sendBufLen)

    - #### scsi_send_data

          public static int scsi_send_data(byte[] cmd,
                                           byte[] sendBuf,
                                           int sendBufLen)

    - #### scsi_send_1

          public int scsi_send_1(byte[] sendBuf,
                                 int sendBufLen)

    - #### synoGetData

          public int synoGetData(byte[] DataBuf,
                                 int[] getLen)

    - #### scsi_recv_data_1

          public static int scsi_recv_data_1(byte[] recviveBuf,
                                             int[] receiveLen)

    - #### scsi_recv_data_2

          public static int scsi_recv_data_2(byte[] recviveBuf,
                                             int[] receiveLen)

    - #### scsi_recv_1

          public int scsi_recv_1(byte[] receiveBuf,
                                 int[] receiveBufLen)

    - #### scsi_recv_Image

          public int scsi_recv_Image(byte[] receiveBuf,
                                     int len,
                                     int offset)

    - #### printf_fun

          public java.lang.String printf_fun()

    - #### scsi_send

          public int scsi_send(TPCCmd cmd,
                               byte[] sendBuf,
                               int sendBufLen)

    - #### scsi_recv

          public int scsi_recv(TPCCmd cmd,
                               byte[] receiveBuf,
                               int[] receiveBufLen)

    - #### scsi_cmd

          public int scsi_cmd(TPCCmd cmd,
                              byte[] sendBuf,
                              byte[] receiveBuf,
                              int[] receiveBufLen)